Package org.h2.util.geometry

# Class JTSUtils

java.lang.Object
org.h2.util.geometry.JTSUtils

public final class JTSUtils extends Object
Utilities for Geometry data type from JTS library.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`JTSUtils.GeometryTarget`
Converter output target that creates a JTS Geometry.

## Method Summary

Modifier and Type
Method
Description
`static org.locationtech.jts.geom.Geometry`
`ewkb2geometry(byte[] ewkb)`
Converts EWKB to a JTS geometry object.
`static org.locationtech.jts.geom.Geometry`
`ewkb2geometry(byte[] ewkb, int dimensionSystem)`
Converts EWKB to a JTS geometry object.
`static byte[]`
`geometry2ewkb(org.locationtech.jts.geom.Geometry geometry)`
Converts Geometry to EWKB.
`static byte[]`
`geometry2ewkb(org.locationtech.jts.geom.Geometry geometry, int dimensionSystem)`
Converts Geometry to EWKB.
`static int`
`getDimensionSystem(org.locationtech.jts.geom.Geometry geometry)`
Determines a dimension system of a JTS Geometry object.
`static void`
`parseGeometry(org.locationtech.jts.geom.Geometry geometry, GeometryUtils.Target target)`
Parses a JTS Geometry object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### ewkb2geometry

public static org.locationtech.jts.geom.Geometry ewkb2geometry(byte[] ewkb)
Converts EWKB to a JTS geometry object.

Parameters:
  `ewkb` - source EWKB
Returns:
  JTS geometry object

### ewkb2geometry

public static org.locationtech.jts.geom.Geometry ewkb2geometry(byte[] ewkb, int dimensionSystem)
Converts EWKB to a JTS geometry object.

Parameters:
  `ewkb` - source EWKB
  `dimensionSystem` - dimension system
Returns:
  JTS geometry object

### geometry2ewkb

public static byte[] geometry2ewkb(org.locationtech.jts.geom.Geometry geometry)
Converts Geometry to EWKB.

Parameters:
  `geometry` - source geometry
Returns:
  EWKB representation

### geometry2ewkb

public static byte[] geometry2ewkb(org.locationtech.jts.geom.Geometry geometry, int dimensionSystem)
Converts Geometry to EWKB.

Parameters:
  `geometry` - source geometry
  `dimensionSystem` - dimension system
Returns:
  EWKB representation

### parseGeometry

public static void parseGeometry(org.locationtech.jts.geom.Geometry geometry, GeometryUtils.Target target)
Parses a JTS Geometry object.

Parameters:
  `geometry` - geometry to parse
  `target` - output target

### getDimensionSystem

public static int getDimensionSystem(org.locationtech.jts.geom.Geometry geometry)
Determines a dimension system of a JTS Geometry object.

Parameters:
  `geometry` - geometry to parse
Returns:
  the dimension system